package fr.gouv.justice.mtteditique.utils;

public enum UseCaseNameEnum {

    OPENTEXT_PRISME_JUGEMENT_NATIONALE_1("OPENTEXT_PRISME_JUGEMENT_NATIONALE_1"),
    OPENTEXT_PRISME_JUGEMENT_NATIONALE_2("OPENTEXT_PRISME_JUGEMENT_NATIONALE_2"),
    OPENTEXT_PRISME_JUGEMENT_1("OPENTEXT_PRISME_JUGEMENT_1"),
    OPENTEXT_PRISME_JUGEMENT_2("OPENTEXT_PRISME_JUGEMENT_2"),
    OPENTEXT_PPN_SOIT_TRANSMIS("OPENTEXT_PPN_SOIT_TRANSMIS"),
    OPENTEXT_CASSIOPEE_IPC_WITHOUT_INTERVIEW("OPENTEXT_CASSIOPEE_IPC_WITHOUT_INTERVIEW"),
    OPENTEXT_CASSIOPEE_IPC_WITH_INTERVIEW("OPENTEXT_CASSIOPEE_IPC_WITH_INTERVIEW"),
    OPENTEXT_CASSIOPEE_IPC_TRAME_LOCAL("OPENTEXT_CASSIOPEE_IPC_TRAME_LOCAL"),

    OPENTEXT_CASSIOPEE_JGT_CAS1_EDITABLE("OPENTEXT_CASSIOPEE_JGT_CAS1_EDITABLE"),
    OPENTEXT_CASSIOPEE_JGT_CAS2("OPENTEXT_CASSIOPEE_JGT_CAS2"),
    OPENTEXT_CASSIOPEE_JGT_CAS3("OPENTEXT_CASSIOPEE_JGT_CAS3"),
    OPENTEXT_CASSIOPEE_JGT_CAS4("OPENTEXT_CASSIOPEE_JGT_CAS4"),


    OPENTEXT_PORTALIS_DECISION_WITHOUT_INTERVIEW("OPENTEXT_PORTALIS_DECISION_WITHOUT_INTERVIEW"),
    OPENTEXT_PORTALIS_DECISION_WITH_INTERVIEW("OPENTEXT_PORTALIS_DECISION_WITH_INTERVIEW"),
    OPENTEXT_PORTALIS_CONVOCATION_MULTI("OPENTEXT_PORTALIS_CONVOCATION_MULTI"),
    OPENTEXT_PORTALIS_CONVOCATION_MONO("OPENTEXT_PORTALIS_CONVOCATION_MONO"),
    OPENTEXT_PORTALIS_CONVOCATION_MULTI_NATIONALE("OPENTEXT_PORTALIS_CONVOCATION_MULTI_NATIONALE"),
    OPENTEXT_PORTALIS_CONVOCATION_MONO_NATIONALE("OPENTEXT_PORTALIS_CONVOCATION_MONO_NATIONALE"),

    QUADIENT_PRISME_JUGEMENT("QUADIENT_PRISME_JUGEMENT"),
    QUADIENT_PPN_SOIT_TRANSMIS("QUADIENT_PPN_SOIT_TRANSMIS"),
    QUADIENT_PORTALIS_DECISION("QUADIENT_PORTALIS_DECISION"),
    QUADIENT_PORTALIS_CONVOCATION_UNIQUE("QUADIENT_PORTALIS_CONVOCATION_UNIQUE"),
    QUADIENT_PORTALIS_CONVOCATION_MULTI("QUADIENT_PORTALIS_CONVOCATION_MULTI"),
    QUADIENT_CASSIOPEE_IPC("QUADIENT_CASSIOPEE_IPC"),
    QUADIENT_PPN_SOIT_TRANSMIS_FORMULAIRE("QUADIENT_PPN_SOIT_TRANSMIS_FORMULAIRE"),
    QUADIENT_CASSIOPEE_JGT_CAS1_EDITABLE("QUADIENT_CASSIOPEE_JGT_CAS1_EDITABLE"),
    QUADIENT_CASSIOPEE_JGT_CAS2("QUADIENT_CASSIOPEE_JGT_CAS2"),
    QUADIENT_CASSIOPEE_JGT_CAS3("QUADIENT_CASSIOPEE_JGT_CAS3"),
    QUADIENT_CASSIOPEE_JGT_CAS4("QUADIENT_CASSIOPEE_JGT_CAS4")
    ;

    private final String useCaseName;

    UseCaseNameEnum(String useCaseName) {
        this.useCaseName = useCaseName;
    }

    public String getUseCaseName() {
        return useCaseName;
    }
}
